;---------------------------------------------------------------------------
; This will show a divider and the time/date stamp in all windows on the hour
; v1.02.01 - July 1st 2008
;  forces timer to be an offline timer so it always runs even when disconnect
; by mouser@donationcoder.com
; this script is donationware -- please support our site!
; http://www.donationcoder.com/Software/Mouser/mircpak/index.html
;---------------------------------------------------------------------------





; ---------------------------------------------------------------------------
on *:LOAD: {
  ; let user know it's loaded
  /echo 13 -si2 JrHourlyMarker script installed.
  ; set timer
  /JrHourlyMarkerInitTimers
}


; initialization startup each time you launch mirc
on *:START: {

  ; let user know it's running
  /echo 13 -si2 JrHourlyMarker script loaded and ready.

  ; set timer
  /JrHourlyMarkerInitTimers
}


alias JrHourlyMarkerInitTimers {
  /timerJrHourly -o 0 45 .JrCheckShowHourlyMarker
}
; ---------------------------------------------------------------------------



;---------------------------------------------------------------------------
; my hourly timer marker script


alias JrCheckShowHourlyMarker {
  ; test force it to update every time
  ;%jr_hourlytimer_lasthour = BLAH

  var %curtime = $asctime(hh)
  if (%curtime != %jr_hourlytimer_lasthour) {
    ; update last hour shown
    %jr_hourlytimer_lasthour = %curtime
    ; now show
    /JrShowHourlyMarker
  }

  ; restart mirc timer which lies about repeating?
  ; /JrHourlyMarkerInitTimers
}


alias JrShowHourlyMarker {
  ; show timestamp in all windows

  ; time string to display
  var %timestring = $asctime(h:nntt - mmm dd| yyyy)
  %timestring = $replace(%timestring,|,$chr(44))

  ; nicify
  %timestring = @@@@@@@@@@@ %timestring @@@@@@@@@@@

  ; walk through all windows and show
  var %ccount = 1 
  var %cname
  while ($window(*,%ccount) != $null) {
    %cname = $window(*,%ccount)
    ; show it in the window
    if (%cname == Status Window) {
      echo -sle %timestring
    }
    else {
      echo -le %cname %timestring
    }
    ; iterate
    inc %ccount
  }
}
;---------------------------------------------------------------------------
